
//Upravljanje servo motorom pomocu serijskog monitora

#include <Servo.h>

byte procitanBajt;
int poz=0;
byte korak=3;
Servo Servo1;

void setup() {
  Servo1.attach(9);
  Servo1.write(poz);
  Serial.begin(9600);     // opens serial port, sets data rate to 9600 bps
  while(!Serial){
    //cekam da se serial port otvori
  }//while
        
  Serial.println("Otvoren.");
}



void loop() {

  if (Serial.available() > 0) {
    // read the incoming byte:
    procitanBajt = Serial.read();
    

    if (char(procitanBajt=='v')){
      poz+=korak;
      if (poz>180) poz=180;
      if (poz<0) poz=0;
      Servo1.write(poz);
      //Serial.println(poz);
    }//if

    if (char(procitanBajt=='m')){
      poz-=korak;
      if (poz>180) poz=180;
      if (poz<0) poz=0;
      Servo1.write(poz);
      //Serial.println(poz);
    }//if

    if (char(procitanBajt=='l')){
      OkreniLevo();     
    }//if

    if (char(procitanBajt=='d')){
      OkreniDesno();     
    }//if
    
  }
}//loop

void OkreniLevo(){
  for (byte i=poz; poz>=0;poz-=korak){
    if(poz<0) poz=0;
    Servo1.write(poz);
    Serial.println(poz);
    delay(20);
  }//for
}//OkreniLevo



void OkreniDesno(){
  for (byte i=poz; poz<=180;poz+=korak){
    if(poz<0) poz=0;
    Servo1.write(poz);
    Serial.println(poz);
    delay(20);
  }//for
}//OkreniDesno
